Docs Rizler

V1 Intelligence

V1 Update Conversation Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v1/manage/intelligence/conversation/{agent_id}
V1 Update Conversation Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/intelligence/conversation/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "responsiveness": 0,
  "backchannel_words": [],
  "enable_backchannel": true,
  "reminder_max_count": 0,
  "backchannel_words.*": "value",
  "reminder_trigger_ms": 0,
  "normalize_for_speech": true,
  "backchannel_frequency": 0,
  "interruption_sensitivity": 0,
  "reminder_trigger_seconds": 0
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V1 Update Conversation Settings#

V1 Update Conversation Settings. Use the public agent id from List Agents. This path only accepts V1 agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

responsivenessnumberbody

One of: 0. min 0. max 1. send only when changing this field

interruption_sensitivitynumberbody

One of: 0. min 0. max 1. send only when changing this field

enable_backchannelbooleanbody

send only when changing this field

backchannel_frequencynumberbody

One of: 0. min 0. max 1. send only when changing this field

backchannel_wordsarraybody

send only when changing this field

backchannel_words.*stringbody

max 100

normalize_for_speechbooleanbody

send only when changing this field

reminder_trigger_msintegerbody

One of: 0. min 0. send only when changing this field

reminder_trigger_secondsnumberbody

One of: 0. min 0. send only when changing this field

reminder_max_countintegerbody

One of: 0. min 0. max 20. send only when changing this field

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/intelligence/conversation/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"responsiveness":"0","interruption_sensitivity":"0","enable_backchannel":true,"backchannel_frequency":"0","backchannel_words":[],"backchannel_words.*":"value","normalize_for_speech":true,"reminder_trigger_ms":1,"reminder_trigger_seconds":"0","reminder_max_count":1}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records